## sawfish-1.6.1.tar.bz2

=== sounds/Makefile ===
# Makefile.in for sawmill's sound files
# $Id: Makefile.in,v 1.3 2000/07/06 13:30:07 john Exp $
#
# Copyright (C) 2000 John Harper <john@dcs.warwick.ac.uk>
#
# This file is part of sawmill.
#
# sawmill is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# sawmill is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with sawmill; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../Makedefs

top_builddir=..
top_srcdir=..
srcdir=.
VPATH=..

sitesoundsdir := ${sawfishdir}/sounds
soundsdir := ${sawfishdir}/${version}/sounds

all :

install : all installdirs
	for f in $(srcdir)/*.wav; do \
	  $(INSTALL_DATA) $$f $(DESTDIR)$(soundsdir); \
	done

installdirs : mkinstalldirs
	$(SHELL) $< $(DESTDIR)$(soundsdir) $(DESTDIR)$(sitesoundsdir)

uninstall :
	rm -rf $(DESTDIR)$(soundsdir)

clean :
	rm -f *~ core

distclean : gitclean

gitlean : clean
	rm -f Makefile

.PHONY : all install uninstall clean gitclean

=== debian/changelog ===
sawfish (1:1.6.1-1nano) unstable; urgency=low

  * New upstream GIT

 -- Christopher Roy Bratusek <zanghar@freenet.de>  Sat, 24 Oct 2009 22:55:17 +0100

=== debian/control ===
Source: sawfish
Section: x11
Priority: optional
Maintainer: Christopher Roy Bratusek <zanghar@freenet.de>
Standards-Version: 3.8.3
Build-Depends: gettext (>= 0.10.37),
               debhelper (>= 7.0.0),
               libxinerama-dev,
               rep-gtk (>= 1:0.90.2),
               libgmp3-dev (>= 4.1.4-8),
               texinfo (<< 4.11) | texinfo (>= 4.11.dfsg.1-3), 
               libgtk2.0-dev (>= 2.12.0),
               libxrender-dev,
               libxext-dev,
               autotools-dev,
               automake,
               quilt (>=0.40),
               librep-dev (>= 0.90.5),
               rep (>= 0.90.5),
               libtool
Homepage: http://sawfish.wikia.com/

Package: sawfish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sawfish-data (= ${source:Version})
Provides: x-window-manager
Description: a window manager for X11
 Sawfish is an extensible window manager using an Emacs Lisp-like scripting
 language. All window decorations are configurable, the basic idea is to
 have as much user-interface policy as possible controlled through the Lisp
 language.

Package: sawfish-dbg
Architecture: any
Depends: ${misc:Depends}, sawfish (= ${binary:Version}), sawfish-data (= ${source:Version})
Recommends: sawfish-lisp-source
Section: debug
Priority: extra
Description: sawfish debugging symbols
 This package contains the debugging symbols from the sawfish window manager.
 It is not needed for normal operation of the package.
 .
 Install it if you need to debug problems in sawfish. You will also almost
 certainly need sawfish-lisp-source in that case.

Package: sawfish-data
Architecture: all
Depends: ${misc:Depends}
Description: sawfish architecture independent data
 This package contains the architecture independent lisp compiled files
 and other data, such as theme pixmaps. It is unlikely to be of any
 use without the sawfish window manager.
 .
 The lisp source files are in the sawfish-lisp-source package.

Package: sawfish-lisp-source
Architecture: all
Depends: ${misc:Depends}, sawfish-data (= ${source:Version})
Recommends: sawfish
Description: sawfish lisp files
 This package contains the lisp source files in case you want to modify,
 study or debug the behaviour of the window manager.
 .
 It is not required for normal use of sawfish and not installing it will save
 space in small systems.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

version = $(shell sed -n 's/version="\(.*\)"/\1/p' configure.in | head -n 1)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS += -Wall -g -fno-strict-aliasing

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

LC_ALL=
LINGUAS=
LANG=
export LC_ALL LINGUAS LANG

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --with-readline $(confflags)

# Get rid of rpath
	set -e; \
	 tmpfile=`mktemp`; \
	 sed "s/^REP_LIBS=\(.*\)-Wl,--rpath -Wl,[^ ]* \(.*\)$$/REP_LIBS=\1 \2/" Makedefs >$$tmpfile ;\
	 mv $$tmpfile Makedefs

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean
	$(MAKE) -f debian/rules unpatch

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Remove info files installed by Makefile. dh_installinfo will do it again without creating info.dir
	find debian -type d -name info | xargs rm -rf

	[ ! -f debian/sawfish-lisp-source.install ] || rm debian/sawfish-lisp-source.install
	find debian/tmp/usr/share/sawfish/*/lisp -name \*.jl | \
	 cut -d/ -f3- | grep -v 'autoload\|custom-defaults' > debian/sawfish-lisp-source.install

	cp debian/sawfish-data.install.in debian/sawfish-data.install
	find debian/tmp/usr/share/sawfish/*/lisp -name \*.jlc | \
	 cut -d/ -f3- | grep -v 'main' >> debian/sawfish-data.install

	dh_install --fail-missing

# These are scripts. (Actually, they are /usr/bin/sawfish-config before and after compiling)
# Should that be a symlink?
	chmod a+x debian/sawfish/usr/share/sawfish/$(version)/lisp/sawfish/cfg/main.jlc
	chmod a+x debian/sawfish-lisp-source/usr/share/sawfish/$(version)/lisp/sawfish/cfg/main.jl


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -psawfish-data FAQ NEWS README TODO OPTIONS KEYBINDINGS USERDOC
	dh_installinfo -psawfish-data
	dh_installexamples -psawfish-data
	dh_installmenu -psawfish-data
	dh_installchangelogs -psawfish-data
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmenu -a
	dh_installman -a
	dh_installemacsen -a -psawfish
	dh_link -a
	dh_strip -a --dbg-package=sawfish-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

# Obtain upstream source snapshot from svn. Leaves it in
# debian/sawfish_$version.orig.tar.gz
# By default will get the latest version available, but can be controlled
# by setting SVN_REV before calling make

SVN_REPO ?= svn://svn.gnome.org/svn/sawfish/trunk
SVN_REV  ?= $(shell LANG=C svn info $(SVN_REPO) | grep Revision: | cut -d: -f 2 | sed 's/^ *\([^ ]*\) *$$/\1/')
export_dir = debian/tmp-src

source:
	dh_testdir
	mkdir -p $(export_dir)
	svn export -q -r $(SVN_REV) $(SVN_REPO) $(export_dir)/sawfish
# remove unneeded files
	cd $(export_dir)/sawfish; \
	 find . -name .cvsignore | xargs rm
	cd $(export_dir); \
	  tar czf ../sawfish_$$(sed -n 's/version="\(.*\)"/\1/p' sawfish/configure.in | head -n 1)+svn$(SVN_REV).orig.tar.gz sawfish
	-rm -rf $(export_dir)

.PHONY: build clean binary-indep binary-arch binary install configure
